# Segments Object

> Source: https://truto.one/docs/api-reference/unified-marketing-automation-api/segments/

Schema for the `Segments` resource in **Unified Marketing Automation API**.

## Properties

- **`id`** _(string, required)_
  The segment's unique identifier
- **`name`** _(string)_
  The segment's name
- **`description`** _(string)_
  The segment's description
- **`status`** _(string)_
  The segment's computation status
  Allowed: `active`, `pending`, `processing`, `inactive`, `failed`
- **`is_starred`** _(boolean)_
  Whether the segment is starred
- **`updated_at`** _(string)_
  The date and time of the segment's last update
- **`created_at`** _(string)_
  The date and time of the segment's creation
- **`last_calculated_at`** _(string)_
  The date and time of the segment's last calculation
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/marketing-automation/segments](/docs/api-reference/unified-marketing-automation-api/segments/list) — List Segments
- [GET /unified/marketing-automation/segments/{id}](/docs/api-reference/unified-marketing-automation-api/segments/get) — Get Segments
